Redmine - Feature #8254

Add previous/next functionality in diffs
2011-04-30 01:10 - Theo Chatzimichos

Status: Closed Start date: 2011-04-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Hello. I'm one of the Gentoo sysadmins. We are considering of migrating from Trac to Redmine for our SVN/Git repositories. The
following patch adds a functionality that is already available in Trac (browsing between changesets)

Related issues:

Related to Redmine - Feature #26576: Use tabs to switch between file changes ... Closed
Is duplicate of Redmine - Defect #29730: Previous/Next link on repository pag... Closed
History

#1 - 2011-04-30 02:02 - Toshi MARUYAMA
- Category set to SCM

#2 - 2011-05-03 20:03 - johann sebatian

- Assignee set to johann sebatian

#3 - 2011-05-11 00:44 - Azamat Hackimov

- Assignee deleted (johann sebatian)

#4 - 2011-05-11 00:56 - Azamat Hackimov

Looks good. Can | add this to repository?

#5 - 2011-05-11 11:49 - Toshi MARUYAMA

Azamat Hackimov wrote:

Looks good. Can | add this to repository?

No.
@changeset.previous, @changeset.next and :size => 8 are hardcorded.
And, there is no functional test.

#6 - 2017-07-30 07:09 - Go MAEDA
- File RepositoriesController-revision@2x.png added
- File RepositoriesController-diff@2x.png added

- Tracker changed from Patch to Feature

Because of the improvement made in r16911, we can switch between RepositoriesController#revision page and RepositoriesController#diff page with
tabs. So both pages are look like same page. However, RepositoriesController#diff page does not have Prev/Next navigation.

I think it is very natural for RepositoriesController#diff page to have prev/next navigation.

"Changes" tab (RepositoriesController#revision):
https://www.redmine.org/projects/redmine/repository/svn/revisions/16911

Revision 11
Added by schmidt [06/20/2010 06:13 PM] about 7 years ago

adding test data for #5548

Related issues

Changes | View differences

subversion_test
[folder_with_brackets]
© README.txt

[« Previous | Next » 11

o)

Add

© added modified @ copied @ renamed @ deleted

"View differences" tab (RepositoriesController#diff):

Revision 11
Added by schmidt [06/20/2010 06:13 PM] about 7 years ago

adding test data for #5548

Related issues

Changes || View differences

View differences: @ inline side by side
subversion_test/[folder_with_brackets]/README.txt

2 brackets.

| )

The Prev/Next navigaion disappears
when switching to “View differences” tab.

Add

1 This file should be accessible for Redmine, although its folder contains square

#7 - 2017-07-30 07:11 - Go MAEDA

- Related to Feature #26576: Use tabs to switch between file changes and diff of a commit added

#8 - 2019-02-03 12:29 - Go MAEDA

- Is duplicate of Defect #29730: Previous/Next link on repository page disappear when switching to "View differences” tab added

#9 - 2019-02-03 12:30 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #29730 for Redmine 4.0.0.

Files

add-repository-diff-easy-browse.diff 1.04 KB
RepositoriesController-revision@2x.png 27.9 KB
RepositoriesController-diff@2x.png 37.3 KB
